// To parse this JSON data, do
//
//     final notifications = notificationsFromJson(jsonString);

import 'dart:convert';

Notifications notificationsFromJson(String str) =>
    Notifications.fromJson(json.decode(str));

String notificationsToJson(Notifications data) => json.encode(data.toJson());

class Notifications {
  List<Individual> individual;
  Totals totals;

  Notifications({
    required this.individual,
    required this.totals,
  });

  factory Notifications.fromJson(Map<String, dynamic> json) => Notifications(
        individual: List<Individual>.from(
            json["individual"].map((x) => Individual.fromJson(x))),
        totals: Totals.fromJson(json["totals"]),
      );

  Map<String, dynamic> toJson() => {
        "individual": List<dynamic>.from(individual.map((x) => x.toJson())),
        "totals": totals.toJson(),
      };
}

class Individual {
  int accuracy;
  String reason;
  int toatl;
  int no;
  int yes;

  Individual({
    required this.accuracy,
    required this.reason,
    required this.toatl,
    required this.no,
    required this.yes,
  });

  factory Individual.fromJson(Map<String, dynamic> json) => Individual(
        accuracy: json["Accuracy"],
        reason: json["Reason"],
        toatl: json["Toatl"],
        no: json["no"],
        yes: json["yes"],
      );

  Map<String, dynamic> toJson() => {
        "Accuracy": accuracy,
        "Reason": reason,
        "Toatl": toatl,
        "no": no,
        "yes": yes,
      };
}

class Totals {
  int accuracy;
  int total;
  int yes;

  Totals({
    required this.accuracy,
    required this.total,
    required this.yes,
  });

  factory Totals.fromJson(Map<String, dynamic> json) => Totals(
        accuracy: json["accuracy"],
        total: json["total"],
        yes: json["yes"],
      );

  Map<String, dynamic> toJson() => {
        "accuracy": accuracy,
        "total": total,
        "yes": yes,
      };
}
